package eu.mhsl.minenet.minigames.instance.game.minigame.config.restriction;

public class Restriction {
    final private String name;
    final private String description;
    final private String warnMessage;

    final private Type type;

    public Restriction(String name, String description, String warnMessage, Type type) {
        this.name = name;
        this.description = description;
        this.warnMessage = warnMessage;
        this.type = type;

        if(this.warnMessage == null && this.type.equals(Type.WARN)) {
            throw new IllegalStateException("warnMessage cannot be null when RestrictionType is WARN");
        }
    }

    public String getName() {
        return name;
    }

    public String getDescription() {
        return description;
    }

    public String getWarnMessage() {
        return warnMessage;
    }

    public Type getType() {
        return type;
    }

    public enum Type {
        OK,
        WARN,
        FAIL,
    }
}

